[rspec-users] "rspec can not be found in vendor/gems, vendor/plugins or system gems" error

David Chelimsky dchelimsky at gmail.com
Mon Nov 8 13:47:05 EST 2010


On Nov 8, 2010, at 12:40 PM, Dean Richardson wrote:

> I'm trying to follow the instructions in the beta version of "The RSpec
> Book" to get "BDD in Rails" going. Here are some relevant details:
> 
> Rails version: 2.3.5
> 
> Local gems:
> rspec (2.1.0)
> rspec-core (2.1.0)
> rspec-expectations (2.1.0)
> rspec-mocks (2.1.0)
> rspec-rails (1.3.2)
> 
> I started by installing rspec-rails 1.3.2, then cucumber-rails 0.3.2,
> then database_cleaner and webrat. I then tried to run rake spec and got
> the "rspec can not be found" error message. Taking this message
> literally, I then ran "gem install rspec" and was able to install the
> rspec-2.1.0 gem.
> 
> But when I ran rake spec again, I got the same error message as before.
> Should I have installed an earlier version of the rspec gem?

Did you get the most recent update to the beta book? If not, go log into your PragProg account and get it. There's a section in the preface that lists all the versions you need, including Rails-3 (not rails-2.3.5) and RSpec-2.

HTH,
David


> Thanks,
> 
> Dean Richardson



More information about the rspec-users mailing list